<?php
/**
 * Template Name: Custom Home Page
 */
get_header(); ?>

<main id="content">
  <?php if( get_option('construction_firm_slider_arrows') == '1'){ ?>
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
        <?php
          for ( $i = 1; $i <= 4; $i++ ) {
            $building_construction_lite_mod =  get_theme_mod( 'construction_firm_post_setting' . $i );
            if ( 'page-none-selected' != $building_construction_lite_mod ) {
              $construction_firm_slide_post[] = $building_construction_lite_mod;
            }
          }
           if( !empty($construction_firm_slide_post) ) :
          $building_construction_lite_args = array(
            'post_type' =>array('post','page'),
            'post__in' => $construction_firm_slide_post
          );
          $building_construction_lite_query = new WP_Query( $building_construction_lite_args );
          if ( $building_construction_lite_query->have_posts() ) :
            $i = 1;
        ?>
        <div class="carousel-inner" role="listbox">
          <?php  while ( $building_construction_lite_query->have_posts() ) : $building_construction_lite_query->the_post(); ?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
            <img src="<?php esc_url(the_post_thumbnail_url('full')); ?>"/>
            <div class="carousel-caption slider-inner">
              <h2 class="slid-title"><?php the_title();?></h2>
              <p class="mb-0"><?php $building_construction_lite_excerpt = get_the_excerpt(); echo esc_html( construction_firm_string_limit_words( $building_construction_lite_excerpt, 40 )); ?></p>
              <div class="home-btn my-4">
                <a class="py-3 px-4" href="<?php the_permalink(); ?>"><?php echo esc_html('READ MORE','building-construction-lite'); ?></a>
              </div>
            </div>
          </div>
          <?php $i++; endwhile;
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
        <div class="no-postfound"></div>
          <?php endif;
        endif;?>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon px-3 py-2" aria-hidden="true"><?php esc_html_e('PREV','building-construction-lite'); ?></span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon px-3 py-2" aria-hidden="true"><?php esc_html_e('NEXT','building-construction-lite'); ?></span>
          </a>
      </div>
      <div class="clearfix"></div>
    </section>
  <?php }?>

  <section id="middle-sec">
    <div class="container">
      <div class="row">
        <?php
          for ( $construction_firm_s = 1; $construction_firm_s <= 4; $construction_firm_s++ ) {
            $building_construction_lite_mod =  get_theme_mod( 'construction_firm_middle_sec_settigs' . $construction_firm_s );
            if ( 'page-none-selected' != $building_construction_lite_mod ) {
              $construction_firm_post[] = $building_construction_lite_mod;
            }
          }
           if( !empty($construction_firm_post) ) :
          $building_construction_lite_args = array(
            'post_type' =>array('post','page'),
            'post__in' => $construction_firm_post
          );
          $building_construction_lite_query = new WP_Query( $building_construction_lite_args );
          if ( $building_construction_lite_query->have_posts() ) :
            $construction_firm_s = 1;
        ?>
        <?php  while ( $building_construction_lite_query->have_posts() ) : $building_construction_lite_query->the_post(); ?>
          <div class="col-lg-3 col-md-6">
            <div class="inner-box mb-3 p-3 text-center">
              <h4><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h4>
              <hr>
              <p class="mb-0"><?php $building_construction_lite_excerpt = get_the_excerpt(); echo esc_html( construction_firm_string_limit_words( $building_construction_lite_excerpt, 8 )); ?></p>
            </div>
          </div>
        <?php $construction_firm_s++; endwhile;
        wp_reset_postdata();?>
        <?php else : ?>
        <div class="no-postfound"></div>
          <?php endif;
        endif;?>
      </div>
    </div>
  </section>

  <?php if( get_theme_mod('construction_firm_project_section_title') != '' || get_theme_mod('construction_firm_category_setting') != ''){ ?>
    <section id="projects-box" class="py-5">
      <div class="container">
        <h3 class="text-center mb-5"><?php echo esc_html( get_theme_mod( 'construction_firm_project_section_title','') ); ?></h3>
        <div class="row">
          <?php
            $building_construction_lite_project_category=  get_theme_mod('construction_firm_category_setting');if($building_construction_lite_project_category){
            $building_construction_lite_page_query = new WP_Query(array( 'category_name' => esc_html($building_construction_lite_project_category ,'building-construction-lite')));?>
              <?php while( $building_construction_lite_page_query->have_posts() ) : $building_construction_lite_page_query->the_post(); ?>
                <div class="col-lg-6 col-md-12">
                  <div class="box mb-5 text-center text-lg-left text-md-left">
                    <div class="row">
                      <div class="col-lg-6 col-md-6">
                        <?php
                          if(has_post_thumbnail()) { ?>
                          <div class="img-box">
                            <?php the_post_thumbnail(); ?>
                          </div>
                        <?php }?>
                      </div>
                      <div class="col-lg-6 col-md-6">
                        <div class="my-md-5 my-lg-0">
                          <h6><?php the_category(); ?></h6>
                          <a href="<?php the_permalink(); ?>"><h4><?php the_title();?></h4></a>
                          <p><?php echo esc_html(wp_trim_words(get_the_content(),'15') );?></p>
                          <div class="box-button">
                            <a class="py-2 px-3" href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','building-construction-lite');?></a>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              <?php endwhile;
            wp_reset_postdata();
          }?>
        </div>
      </div>
    </section>
  <?php }?>

  <?php if( get_theme_mod('building_construction_lite_about_us_title') != '' || get_theme_mod('building_construction_lite_about_us_settigs') != ''){ ?>
    <section id="about-us" class="py-5">
      <div class="container">
        <div class="row">
          <?php
            $building_construction_lite_mod =  get_theme_mod( 'building_construction_lite_about_us_settigs');
            if ( 'page-none-selected' != $building_construction_lite_mod ) {
              $construction_firm_about_page[] = $building_construction_lite_mod;
            }
            if( !empty($construction_firm_about_page) ) :
            $building_construction_lite_args = array(
              'post_type' =>array('page'),
              'post__in' => $construction_firm_about_page
            );
            $building_construction_lite_query = new WP_Query( $building_construction_lite_args );
            if ( $building_construction_lite_query->have_posts() ) :
          ?>
          <?php  while ( $building_construction_lite_query->have_posts() ) : $building_construction_lite_query->the_post(); ?>
            <div class="col-lg-5 col-md-5 align-self-center">
              <?php
                if(has_post_thumbnail()) { ?>
                <div class="img-box mb-4 mb-md-0">
                  <?php the_post_thumbnail(); ?>
                </div>
              <?php }?>
            </div>
            <div class="col-lg-7 col-md-7 align-self-center">
              <h3 class="mb-3"><?php echo esc_html( get_theme_mod( 'building_construction_lite_about_us_title','') ); ?></h3>
              <h4 class="mb-4"><?php the_title();?></h4>
              <p class="mb-0"><?php the_excerpt(); ?></p>
            </div>
          <?php endwhile;
          wp_reset_postdata();?>
          <?php else : ?>
          <div class="no-postfound"></div>
            <?php endif;
          endif;?>
        </div>
      </div>
    </section>
  <?php }?>
</main>

<?php get_footer(); ?>
